Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.util
Class ReschedulableTimer

    java.lang.Object
      java.lang.Thread
          org.ka2ddo.util.ReschedulableTimer

All Implemented Interfaces:
  java.lang.Runnable

    public final class ReschedulableTimer

extends java.lang.Thread

This class implements a timer whose tasks' delivery times can be adjusted while they are enqueued.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ReschedulableTimer(java.lang.String name)` Create a ReschedulableTimer queue.

Method Summary
`protected void` | `finalize()` Called by the garbage collector on an object when garbage collection determines that there are no more references to the object.
`void` | `run()` Execute the timer tasks queued to this timer.
`void` | `shutdown()` Stop this timer queue and release all of its resources.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReschedulableTimer

    public ReschedulableTimer(java.lang.String name)

  Create a ReschedulableTimer queue.

  Parameters:
    `name` - thread name String to assign to this timer (must not be null or empty)

Method Detail

### run

    public final void run()

  Execute the timer tasks queued to this timer.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### shutdown

    public void shutdown()

  Stop this timer queue and release all of its resources.

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Called by the garbage collector on an object when garbage collection determines that there are no more references to the object. A subclass overrides the `finalize` method to dispose of system resources or to perform other cleanup.

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable` - the `Exception` raised by this method

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD